Package ghidra.trace.model.target.path

# Class KeyPath.PathParser

java.lang.Object
ghidra.trace.model.target.path.KeyPath.PathParser

Enclosing class:
  `KeyPath`

public static class KeyPath.PathParser extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Pattern`
  `BRACKETED`
  `protected final CharBuffer`
  `buf`
  `protected static final Pattern`
  `LBRACKET`
  `protected static final Pattern`
  `LPAREN`
  `protected static final Pattern`
  `RBRACKET`
  `protected final List<String>`
  `result`
  `protected static final Pattern`
  `RPAREN`
  `protected final Pattern`
  `sep`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathParser(CharSequence path, String sepRE)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `advanceParenthesized()`
  `protected String`
  `match(Pattern pat)`
  `KeyPath`
  `parse()`
  `protected String`
  `parseName()`
  `protected String`
  `parseNext()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LBRACKET

    protected static final Pattern LBRACKET

  - ### RBRACKET

    protected static final Pattern RBRACKET

  - ### BRACKETED

    protected static final Pattern BRACKETED

  - ### LPAREN

    protected static final Pattern LPAREN

  - ### RPAREN

    protected static final Pattern RPAREN

  - ### buf

    protected final CharBuffer buf

  - ### sep

    protected final Pattern sep

  - ### result

    protected final List<String> result

- ## Constructor Details

  - ### PathParser

    public PathParser(CharSequence path, String sepRE)

- ## Method Details

  - ### match

    protected String match(Pattern pat)

  - ### advanceParenthesized

    protected void advanceParenthesized()

  - ### parseName

    protected String parseName()

  - ### parseNext

    protected String parseNext()

  - ### parse

    public KeyPath parse()